%define ver_major 1.2

Name: epiphany
Version: %ver_major.8
Release: alt1

Summary: Epiphany is a GNOME web browser.
Summary(be_BY.UTF-8): Вандроўнікк па павуціньні для GNOME
Summary(ru_RU.UTF-8): Браузер для среды GNOME
License: GPL
Group: Networking/WWW
Url: http://%name.mozdev.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/sources/%name/%ver_major/%name-%version.tar.bz2
Patch:	epiphany-0.9.2-defaulthome.patch

%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.6.0
%define mozilla_ver 1.7.2

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver
Requires: mozilla >= %mozilla_ver
Requires: indexhtml

BuildPreReq: mozilla-devel >= %mozilla_ver
BuildPreReq: menu-devel

# Automatically added by buildreq on Fri Apr 02 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel gtk-doc indent libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libeel2-devel libgail-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libnautilus-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel mozilla-devel mozilla-nspr perl-XML-Parser pkgconfig scrollkeeper zlib-devel

%description
Epiphany is a GNOME web browser based on the Mozilla rendering engine.

%description -l be_BY.UTF-8
Эпіфані - гэта вандроўнік па павуціньні створаны адмыслова для працы
ў асяродзьдзі GNOME. Ён базуецца на рухавіку Мазілы.

%description -l ru_RU.UTF-8
Epiphany - это браузер для среды GNOME,базирующийся на движке Mozilla.

%package devel
Summary: Epiphany header files
Summary(be_BY.UTF-8):	Файлы распрацоўкі патрэбныя для пабудовы дастасаваньняў з %name
Summary(ru_RU.UTF-8):	Файлы разработки нужные для построения приложений с %name
Group: Development/C
Requires: %name = %version-%release

%description devel
Epiphany header files

%description devel -l be_BY.UTF-8
Файлы распрацоўкі патрэбныя для пабудовы дастасаваньняў з %name

%description devel -l ru_RU.UTF-8
Файлы разработки нужные для построения приложений с %name

%prep
%setup -q
%patch -p1

%build
export LDFLAGS=-export-dynamic
%configure --disable-schemas-install \
	--with-mozilla-snapshot=%mozilla_ver \
	--enable-nautilus-view=yes \
	--enable-compile-warnings=yes

# SMP-incompatible build
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menus
%__mkdir_p %buildroot/%_menudir
freedesktop2menu.pl %name "Networking/WWW" \
    %buildroot/%_datadir/applications/%name.desktop \
    %buildroot/%_menudir/%name

freedesktop2menu.pl %name "Networking/WWW" \
    %buildroot/%_datadir/applications/bme.desktop \
    %buildroot/%_menudir/bme

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome --output=%name.lang %name %name-2.0

%post
%gconf2_install %name
%update_menus

%preun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_libdir/bonobo/servers/*
%_datadir/application-registry/*
%_datadir/applications/*
%_datadir/%name
%_datadir/pixmaps/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README TODO

%files devel
%_includedir/*
%_libdir/pkgconfig/*
%doc %_datadir/gtk-doc/html/*

%changelog
* Sat Aug 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.2.8-alt1
- 1.2.8
- requires mozilla-1.7.2
- truly fix #5009

* Wed Aug 18 2004 Vital Khilko <vk@altlinux.ru> 1.2.7-alt1
- 1.2.7
- fixed #5009

* Wed Jul 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.2.6-alt2
- rebuild against new mozilla-1.7

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.2.6-alt1
- 1.2.6

* Thu Apr 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.2.4-alt1
- 1.2.4

* Fri Apr 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Tue Feb 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.9-alt1
- 1.1.9

* Mon Feb 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.8-alt1
- 1.1.8

* Fri Feb 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.7-alt1
- 1.1.7

* Fri Dec 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.6-alt1
- new version.

* Thu Sep 18 2003 AEN <aen@altlinux.ru> 1.0-alt1
- release

* Wed Aug 27 2003 AEN <aen@altlinux.ru> 0.9.2-alt1
- new version
- pc-file moved to devel
- homedir patch from MDK

* Tue Aug 05 2003 AEN <aen@altlinux.ru> 0.8.2-alt1
- new version
- devel package

* Sun Jul 20 2003 AEN <aen@altlinux.ru> 0.8.0-alt1
- new version

* Wed Jul 02 2003 AEN <aen@altlinux.ru> 0.7.3-alt1
- new version
- new spec from aris@
- bump mozilla version up to 1.4

* Tue Jun 10 2003 AEN <aen@altlinux.ru> 0.7.0-alt1
- new version

* Mon Apr 14 2003 AEN <aen@altlinux.ru> 0.5.0-alt1
- first spec for Sisyphus
